%global modname sparkline
%global distname pysparklines

Name:               python-sparklines
Version:            0.9
Release:            14%{?dist}
Summary:            A unicode sparkline generation library

License:            BSD
URL:                http://pypi.python.org/pypi/pysparklines
Source0:            http://pypi.python.org/packages/source/p/%{distname}/%{distname}-%{version}.tar.gz

BuildArch:          noarch

BuildRequires:      python2-devel
BuildRequires:      python2-setuptools


%global _description\
Takes series data via stdin, command line, or API and prints a sparkline\
representation.

%description %_description

%package -n python2-sparklines
Summary: %summary
Requires:           python2-setuptools
%if 0%{?rhel} && 0%{?rhel} <= 6
Requires:           python-argparse
%endif
%{?python_provide:%python_provide python2-sparklines}

%description -n python2-sparklines %_description

%prep
%setup -q -n %{distname}-%{version}

# Remove bundled egg-info in case it exists
rm -rf %{distname}.egg-info

%build
%py2_build

%install
%py2_install

install -d -m 0755 %{buildroot}%{_mandir}/man1
install -m 0644 man/sparkline.1 %{buildroot}%{_mandir}/man1/sparkline.1

%files -n python2-sparklines
%doc README.rst LICENSE
%{python2_sitelib}/%{modname}/
%{python2_sitelib}/%{distname}-%{version}*
%{_bindir}/sparkline
%{_mandir}/man1/sparkline.1*

%changelog
* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.9-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.9-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.9-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 28 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.9-11
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.9-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.9-9
- Python 2 binary package renamed to python2-sparklines
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Sep 20 2016 Miro Hrončok <mhroncok@redhat.com> - 0.9-6
- Only require python-argparse on el6 or lower, as intended.

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Aug 23 2013 Ralph Bean <rbean@redhat.com> - 0.9-2
- Add conditional requirement on python-argparse for el6.

* Fri Aug 23 2013 Ralph Bean <rbean@redhat.com> - 0.9-1
- Latest upstream; includes man pages.

* Thu Aug 22 2013 Ralph Bean <rbean@redhat.com> - 0.7-2
- Updated summary based on feedback from rpmlint.

* Thu Aug 22 2013 Ralph Bean <rbean@redhat.com> - 0.7-1
- Latest upstream; includes LICENSE file.

* Thu Aug 22 2013 Ralph Bean <rbean@redhat.com> - 0.6-1
- Latest upstream; includes fixed shebang.

* Wed Aug 21 2013 Ralph Bean <rbean@redhat.com> - 0.3-1
- Initial package for Fedora
